from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from .dataproxy import DatabricksDataProxy, DatabricksSQLTypeConverter
from .constants import DB_TYPES
from .dbconfig import DatabricksDBConfig
from .patches import patch_databricks

__version__ = '1.3.0'


patch_databricks()


class DatabricksModel(SQLAlchemyModel):
    db_types = DB_TYPES
    sql_type_converter = DatabricksSQLTypeConverter()


class DatabricksModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES
    model_class = DatabricksModel


ModuleMaker = DatabricksModuleMaker
Model = DatabricksModel
DataProxy = DatabricksDataProxy
DBConfig = DatabricksDBConfig
DB_TYPES = DB_TYPES
